Start maintenance mode (all instances)
https://api.elastic-cloud.com/api/v1
- POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/maintenance-mode/_start
Starts maintenance mode of all instances belonging to a Deployment Resource.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment.
-
resource_kindstringrequired -
The kind of resource (one of elasticsearch, kibana, apm, or integrations_server).
-
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one).
Responses
The start maintenance command was issued successfully.
The start maintenance mode command was prohibited for the given Resource. (code: deployments.instance_update_prohibited_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found) - One or more instances of the given resource type are missing. (code:
deployments.instances_missing_on_update_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
A Resource that was previously stored no longer exists. (code: deployments.deployment_resource_no_longer_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response